## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# DoubleSupport::NumberUnion Union Reference

List of all members.

## Public Member Functions

- bool operator== (double theNumber) const

## Public Attributes

- double d
- struct {
  - unsigned int dw1
  - unsigned int dw2
- } dwords

## Member Function Documentation

bool DoubleSupport::NumberUnion::operator== | ( | double | theNumber | ) | const

## Member Data Documentation

double DoubleSupport::NumberUnion::d

unsigned int DoubleSupport::NumberUnion::dw1

unsigned int DoubleSupport::NumberUnion::dw2

struct { ... } DoubleSupport::NumberUnion::dwords

The documentation for this union was generated from the following file:

- DoubleSupport.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.